// Code generated by swaggo/swag. DO NOT EDIT.

package chord

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {
            "name": "Stefan Woyde",
            "url": "https://moodle.fh-erfurt.de/user/profile.php?id=5422",
            "email": "stefan.woyde@fh-erfurt.de"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/fingers": {
            "get": {
                "description": "Get the node fingers",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "api/v1"
                ],
                "summary": "Get the node fingers",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/chord.fingerListResponse"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/chord.errorResponse"
                        }
                    }
                }
            }
        },
        "/value": {
            "post": {
                "description": "Set a value by a key",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "api/v1"
                ],
                "summary": "Set a value by a key",
                "parameters": [
                    {
                        "description": "Information of the value to set",
                        "name": "setValue",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/chord.setValueRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/chord.changeResponse"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/chord.errorResponse"
                        }
                    },
                    "404": {
                        "description": "Not Found",
                        "schema": {
                            "$ref": "#/definitions/chord.errorResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/chord.errorResponse"
                        }
                    }
                }
            }
        },
        "/value-by-id/{id}": {
            "get": {
                "description": "Get a value by an id",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "api/v1"
                ],
                "summary": "Get a value by an id",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Id of the value to get",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/chord.getValueResponse"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/chord.errorResponse"
                        }
                    },
                    "404": {
                        "description": "Not Found",
                        "schema": {
                            "$ref": "#/definitions/chord.errorResponse"
                        }
                    }
                }
            },
            "delete": {
                "description": "Delete a value by an id",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "api/v1"
                ],
                "summary": "Delete a value by an id",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Id of the value to delete",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/chord.changeResponse"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/chord.errorResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/chord.errorResponse"
                        }
                    }
                }
            }
        },
        "/value-by-key/{key}": {
            "get": {
                "description": "Get a value by a key",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "api/v1"
                ],
                "summary": "Get a value by a key",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Key of the value to get",
                        "name": "key",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/chord.getValueResponse"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/chord.errorResponse"
                        }
                    },
                    "404": {
                        "description": "Not Found",
                        "schema": {
                            "$ref": "#/definitions/chord.errorResponse"
                        }
                    }
                }
            },
            "delete": {
                "description": "Delete a value by a key",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "api/v1"
                ],
                "summary": "Delete a value by a key",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Key of the value to delete",
                        "name": "key",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/chord.changeResponse"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/chord.errorResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/chord.errorResponse"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "chord.changeResponse": {
            "type": "object",
            "properties": {
                "hopCount": {
                    "type": "integer"
                },
                "nodeUrl": {
                    "type": "string"
                }
            }
        },
        "chord.errorResponse": {
            "type": "object",
            "properties": {
                "message": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "chord.fingerListResponse": {
            "type": "object",
            "properties": {
                "fingers": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/chord.fingerResponse"
                    }
                },
                "nodeId": {
                    "type": "string"
                },
                "nodeUrl": {
                    "type": "string"
                },
                "predecessorId": {
                    "type": "string"
                },
                "predecessorUrl": {
                    "type": "string"
                }
            }
        },
        "chord.fingerResponse": {
            "type": "object",
            "properties": {
                "fingerIndex": {
                    "type": "integer"
                },
                "intervalStart": {
                    "type": "string"
                },
                "successorId": {
                    "type": "string"
                },
                "successorUrl": {
                    "type": "string"
                }
            }
        },
        "chord.getValueResponse": {
            "type": "object",
            "properties": {
                "hopCount": {
                    "type": "integer"
                },
                "nodeUrl": {
                    "type": "string"
                },
                "value": {
                    "type": "string"
                }
            }
        },
        "chord.setValueRequest": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "key": {
                    "type": "string"
                },
                "value": {
                    "type": "string"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "",
	BasePath:         "/api/v1",
	Schemes:          []string{},
	Title:            "DHT-Chord-Key-Value-Store",
	Description:      "Distributed Hash Table - Chord based Key-Value-Storage - created by Stefan Woyde for the course `Verteilte Systeme` at `FH-Erfurt`",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
